GDB (xrefs)

Classes | Macros | Enumerations | Variables
/tmp/gdb-8.1/gdb/tic6x-tdep.h File Reference

Go to the source code of this file.

## Classes
struct | gdbarch_tdep

## Macros
#define | TIC6X_INST_SWE 0x10000000

## Enumerations
enum | { TIC6X_A4_REGNUM = 4, TIC6X_A5_REGNUM = 5, TIC6X_FP_REGNUM = 15, TIC6X_B0_REGNUM = 16, TIC6X_RA_REGNUM = 19, TIC6X_B4_REGNUM = 20, TIC6X_B5_REGNUM = 21, TIC6X_DP_REGNUM = 30, TIC6X_SP_REGNUM = 31, TIC6X_CSR_REGNUM = 32, TIC6X_PC_REGNUM = 33, TIC6X_NUM_CORE_REGS = 33, TIC6X_RILC_REGNUM = 68, TIC6X_NUM_REGS }

## Variables
const gdb_byte | tic6x_bkpt_illegal_opcode_be []
const gdb_byte | tic6x_bkpt_illegal_opcode_le []

## Macro Definition Documentation

## ◆ TIC6X_INST_SWE

#define TIC6X_INST_SWE 0x10000000

Definition at line 38 of file tic6x-tdep.h.

Referenced by tic6x_get_next_pc().

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
TIC6X_A4_REGNUM |
TIC6X_A5_REGNUM |
TIC6X_FP_REGNUM |
TIC6X_B0_REGNUM |
TIC6X_RA_REGNUM |
TIC6X_B4_REGNUM |
TIC6X_B5_REGNUM |
TIC6X_DP_REGNUM |
TIC6X_SP_REGNUM |
TIC6X_CSR_REGNUM |
TIC6X_PC_REGNUM |
TIC6X_NUM_CORE_REGS |
TIC6X_RILC_REGNUM |
TIC6X_NUM_REGS |

Definition at line 20 of file tic6x-tdep.h.

## Variable Documentation

## ◆ tic6x_bkpt_illegal_opcode_be

const gdb_byte tic6x_bkpt_illegal_opcode_be[]

Definition at line 58 of file tic6x-tdep.c.

Referenced by tic6x_sw_breakpoint_from_kind(), and tic6x_uclinux_init_abi().

## ◆ tic6x_bkpt_illegal_opcode_le

const gdb_byte tic6x_bkpt_illegal_opcode_le[]

Definition at line 59 of file tic6x-tdep.c.

Referenced by tic6x_sw_breakpoint_from_kind(), and tic6x_uclinux_init_abi().